﻿#Область ОбработчикиСобытий

&НаКлиенте
Процедура ОбработкаКоманды(ПараметрКоманды, ПараметрыВыполненияКоманды)
	
	ПроверитьПодключениеНаСервере(ПараметрКоманды);
	
КонецПроцедуры

#КонецОбласти

#Область СлужебныеПроцедурыИФункции

&НаСервере
Процедура ПроверитьПодключениеНаСервере(ПараметрКоманды)
	
	Для Каждого Элемент Из ПараметрКоманды Цикл
		
		ОБъект = Элемент.ПолучитьОбъект();
		
		Если Объект.ВариантПодключения = Перечисления.кс_ВариантыПодключенияБазы.ЗагрузкаИзФайла 
			И ЗначениеЗаполнено(Объект.ПутьКФайлу) Тогда
			
			ПопыткаПрочитатьФайл = кс_ОбработкаДанныхДляОтчетаСравненияБазДанных.ПолучитьXMLИзФайла(Объект.ПутьКФайлу);
			Если ПопыткаПрочитатьФайл <> Неопределено Тогда
				ОбщегоНазначения.СообщитьПользователю("Подключение к файлу "+ Объект.ПутьКФайлу +" доступно");
			Иначе
				ОбщегоНазначения.СообщитьПользователю("Не удалось подключиться к файлу "+Объект.ПутьКФайлу);
			КонецЕсли;
			
		Иначе
			
			Если кс_ОбработкаДанныхДляОтчетаСравненияБазДанных.ПодключитьсяКБазе(Объект) = Неопределено Тогда
				ОбщегоНазначения.СообщитьПользователю("Не удалось подключиться к базе "+Объект.БазаДанных);
			Иначе
				ОбщегоНазначения.СообщитьПользователю("Подключение к базе "+ Объект.БазаДанных +" доступно");
			КонецЕсли;
			
		КонецЕсли;
		
	КонецЦикла;
		
КонецПроцедуры

#КонецОбласти